ProtocolException (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.coyote, class: ProtocolException

# Class ProtocolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.coyote.ProtocolException

All Implemented Interfaces:
  `Serializable`

public class ProtocolException extends RuntimeException
Used when we need to indicate failure but the (Servlet) API doesn't declare any appropriate exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolException()`
  Construct a `ProtocolException` with no detail message or cause.
  `ProtocolException(String message)`
  Construct a `ProtocolException` with the given detail message.
  `ProtocolException(String message, Throwable cause)`
  Construct a `ProtocolException` with the given detail message and cause.
  `ProtocolException(Throwable cause)`
  Construct a `ProtocolException` with the given cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProtocolException

    public ProtocolException()
    Construct a `ProtocolException` with no detail message or cause.

  - ### ProtocolException

    public ProtocolException(String message, Throwable cause)
    Construct a `ProtocolException` with the given detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause

  - ### ProtocolException

    public ProtocolException(String message)
    Construct a `ProtocolException` with the given detail message.
    Parameters:
      `message` - the detail message

  - ### ProtocolException

    public ProtocolException(Throwable cause)
    Construct a `ProtocolException` with the given cause.
    Parameters:
      `cause` - the cause